              /* EIN NEUER EINTRAG ? */
              hgc=score;
              hgv=level;

 
 
 
              o=15; /* ???? */
              for (i=0;i<=5;++i)
              { if (o==15)
                if (hgc>sc[i])
                 { o=1; oo=i;           
                 
                   
              };
              
              };                           
            
            // HIER
            if (o!=15) {
            
            // EINGABE DES NAMENS!!!! HIER
            
                 for (lx=9;lx>=oo;--lx) { sc[lx+1]=sc[lx];
                                    lv[lx+1]=lv[lx];
                                    for (ly=9;ly>=0;--ly) nm[lx+1][ly]=nm[lx][ly];
            
            					};

            
             sc[oo]=hgc;
             lv[oo]=hgv;
             
             //for (ly=9;ly>=0;--ly)  nm[oo][ly]=' ';
             for (ly=9;ly>=0;--ly)  name[ly]=' ';
           };